Bug 457237 - Badness at kernel/lockdep.c:2079
Badness at kernel/lockdep.c:2079
Status: CLOSED DUPLICATE of bug 458500
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 09:07 EDT by James Laska
Modified: 2013-09-02 02:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 15:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (8.84 KB, text/plain)
2008-07-30 09:07 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2008-07-30 09:07:06 EDT
While booting F10 Alpha on a IBM Power5 ppc LPAR, I see the following kernel
message during boot.

This message does not appear to negatively impact the bootup, as the system
proceeds into the installer.

The kernel used is - kernel-2.6.27-0.166.rc0.git8.fc10.ppc64

------------[ cut here ]------------
Badness at kernel/lockdep.c:2079
NIP: c0000000000d1d98 LR: c0000000000d1d7c CTR: 0000000000000000
REGS: c0000000ed4679b0 TRAP: 0700   Not tainted  (2.6.27-0.166.rc0.git8.fc10.ppc64)
MSR: 8000000000029032 <EE,ME,IR,DR>  CR: 24000042  XER: 00000000
TASK = c0000000f4925200[452] 'rtasd' THREAD: c0000000ed464000 CPU: 3
GPR00: 0000000000000000 c0000000ed467c30 c0000000008ea0d0 0000000000000001 
GPR04: c000000000521580 c000000000057258 2f73746100000000 2f737461743a3433 
GPR08: c000000000925fc8 c000000000de5658 00000000000000af 0000000000000001 
GPR12: 30303030370a0000 c00000000092fa00 c00000000069ca28 000000000338b490 
GPR16: 0000000000000000 c00000000078b490 000000000177f9f0 0000000000000000 
GPR20: c000000000794ca0 0000000000000000 0000000000000001 c0000000009444a8 
GPR24: 0000000000000000 00000000000002d4 c000000000794670 0000000000000001 
GPR28: c0000000000d1e60 c0000000f4925200 c00000000088d910 c0000000ed467c30 
NIP [c0000000000d1d98] .trace_hardirqs_on_caller+0xd8/0x184
LR [c0000000000d1d7c] .trace_hardirqs_on_caller+0xbc/0x184
Call Trace:
[c0000000ed467c30] [c0000000000d1cf8] .trace_hardirqs_on_caller+0x38/0x184
(unreliable)
[c0000000ed467cc0] [c0000000000d1e60] .trace_hardirqs_on+0x1c/0x30
[c0000000ed467d40] [c000000000521580] ._spin_unlock_irqrestore+0x78/0xa8
[c0000000ed467de0] [c000000000057258] .pSeries_log_error+0x398/0x3f0
[c0000000ed467ef0] [c00000000005752c] .rtasd+0xa0/0x108
[c0000000ed467f90] [c00000000002f028] .kernel_thread+0x4c/0x68
Instruction dump:
901d0a64 880d01da 2fa00000 41be002c 4818527d 60000000 2fa30000 419e00a0 
e93e8008 80090000 2f800000 409e0090 <0fe00000> 48000088 e92d01b0 80090aa4
Comment 1 James Laska 2008-07-30 09:07:06 EDT
Created attachment 312994 [details]
boot log
Comment 2 James Laska 2008-08-06 08:23:42 EDT
No longer seeing this with F10-Alpha (kernel-2.6.27-0.166.rc0.git8.fc10.ppc64)
Comment 3 James Laska 2008-08-06 10:35:06 EDT
Please ignore comment#2 ... that was intended for another bz.

My IBM power5 systems continue to show the following while booting the installer.

Freeing initrd memory: 11983k freed
------------[ cut here ]------------
Badness at kernel/lockdep.c:2079
NIP: c0000000000d1d98 LR: c0000000000d1d7c CTR: 0000000000000000
REGS: c0000000ed4679b0 TRAP: 0700   Not tainted  (2.6.27-0.166.rc0.git8.fc10.ppc64)
MSR: 8000000000029032 <EE,ME,IR,DR>  CR: 24000042  XER: 00000000
TASK = c0000000f4975200[452] 'rtasd' THREAD: c0000000ed464000 CPU: 3
GPR00: 0000000000000000 c0000000ed467c30 c0000000008ea0d0 0000000000000001 
GPR04: c000000000521580 c000000000057258 2f73746100000000 2f737461743a3433 
GPR08: c000000000925fc8 c000000000de5658 00000000000000af 0000000000000001 
GPR12: 30303030370a0000 c00000000092fa00 c00000000069ca28 000000000338b490 
GPR16: 0000000000000000 c00000000078b490 00000000019df9f0 0000000000000000 
GPR20: c000000000794ca0 0000000000000000 0000000000000001 c0000000009444a8 
GPR24: 0000000000000000 00000000000002d4 c000000000794670 0000000000000001 
GPR28: c0000000000d1e60 c0000000f4975200 c00000000088d910 c0000000ed467c30 
NIP [c0000000000d1d98] .trace_hardirqs_on_caller+0xd8/0x184
LR [c0000000000d1d7c] .trace_hardirqs_on_caller+0xbc/0x184
Call Trace:
[c0000000ed467c30] [c0000000000d1cf8] .trace_hardirqs_on_caller+0x38/0x184 (unreliable)
[c0000000ed467cc0] [c0000000000d1e60] .trace_hardirqs_on+0x1c/0x30
[c0000000ed467d40] [c000000000521580] ._spin_unlock_irqrestore+0x78/0xa8
[c0000000ed467de0] [c000000000057258] .pSeries_log_error+0x398/0x3f0
[c0000000ed467ef0] [c00000000005752c] .rtasd+0xa0/0x108
[c0000000ed467f90] [c00000000002f028] .kernel_thread+0x4c/0x68
Instruction dump:
901d0a64 880d01da 2fa00000 41be002c 4818527d 60000000 2fa30000 419e00a0 
e93e8008 80090000 2f800000 409e0090 <0fe00000> 48000088 e92d01b0 80090aa4
Comment 4 Christopher D. Stover 2008-10-28 15:39:56 EDT
James, this should be fixed in Fedora 10 Beta with kernel 2.6.27-0.352.rc7.git1.fc10.

*** This bug has been marked as a duplicate of bug 458500 ***

Note You need to log in before you can comment on or make changes to this bug.